* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  box-sizing: border-box;
  font-size: 10px;
}

body {
  font-size: 1.6rem;
  line-height: 1.5;
  font-family: Poppins;
  color: #000;
  overflow-x: hidden;
}

h1 {
  font-size: 7rem;
  font-weight: 600;
  margin: 8rem 0 2rem 0;
}

@media (max-width: 650px){
  h1 {
    font-size: 5rem;
  }
}

h2 {
  margin-bottom: 5rem;
}

li {
  list-style: none;
}

a {
  color: #000;
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* Navigation */

.nav {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  width: 100%;
  min-height: 75px;
  background-color: #fff;
  box-shadow: 0 1rem 1rem -1rem rgba(55, 56, 58, 0.2);
  z-index: 10;
}

nav > ul {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

nav li {
  padding: 0px 0.8rem;
}

nav .code {
  color: white;
  transition: color 0.3s ease-out;
}

nav a:hover .code {
  color: #F2797B;
}

/* Welcome section */

#welcome-section {
  margin: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  height: 100vh;
}

@media (max-width: 1000px) {
  #welcome-section {
    text-align: center;
    margin-top: 10rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}

.welcome-img  {
  margin-top: 8rem;
  width: 580px;
  height: auto;
}

#mobile-only {
  display: none;
}

@media (max-width: 850px){
  #desktop-only {
    display: none;
  }
  
  #mobile-only {
    display: initial;
    width: 450px;
    height: auto;
  }
}

#subheading {
  font-size: 5rem;
  font-weight: 600;
  margin: 2rem 0;
}

#subheading span {
  color: #F2797B;
}

@media (max-width: 650px){
  #subheading {
    font-size: 4rem;
  }
}

/* About section */

#about {
  padding: 10rem 5rem 0rem 5rem;
}

#about h2 {
  text-align: center;
}

#about-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

@media (max-width: 850px) {
  #about-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
}

#my-story {
  width: 60%;
  padding: 0 2rem;
}

#interests-list {
  background-color: #ac9a9a;
  color: #fff;
  padding: 3rem;
  border-radius: 5px;
}

@media (max-width: 850px) {
  #my-story {
    width: 100%;
    margin-bottom: 5rem;
  }
  
  #interests-list {
    margin: auto;
  }
}

#interests-list > h3 {
  text-align: center;
  padding-bottom: 2rem;
}

/* Projects section */

#projects {
  padding: 10rem 5rem 10rem 5rem;
  text-align: center;
}

#projects > p {
  margin-bottom: 5rem;
}

.projects-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-gap: 5rem;
  margin: 1.5rem auto;
}

@media (max-width: 400px) {
  .projects-grid {
    grid-template-columns: 1fr;
    margin: 0 auto;
  }
}

#skills {
  padding: 10rem 5rem 0rem 5rem;
  text-align: center;
}

#skills > p {
  margin-bottom: 5rem;
}

.skills-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-gap: 5rem;
  margin: 1.5rem auto;
}

@media (max-width: 400px) {
  .skills-grid {
    grid-template-columns: 1fr;
    margin: 0 auto;
  }
}


.card {
  position: relative;
  padding-bottom: 2rem;
  border: 1px solid rgba(217, 217, 217, 0.5);
  border-radius: 5px;
}

.card:hover {
  box-shadow: 0 0 2rem -0.7rem #D9D9D9;
  border: 1px solid #D9D9D9;
}

.skill_card {
  position: relative;
  padding-top: 2rem;
  padding-bottom: 2rem;
  padding-left: 2rem;
  border: 1px solid rgba(217, 217, 217, 0.5);
  border-radius: 5px;
}

.skill_card:hover {
  box-shadow: 0 0 2rem -0.7rem #D9D9D9;
  border: 1px solid #D9D9D9;
}

.desc {
  padding: 2rem;
  text-align: left;
}

.project-tile {
  margin: 2rem 0 2rem 0;
}

.project-tile > a {
  color: #F2797B;
  font-weight: 200;
}

/* Contact section */

#contact {
  margin-top: 3rem;
  padding: 10rem 5rem;
  text-align: center;
  background-color: #ac9a9a;
  color: #fff;
}

.contact-icon {
  width: 2.5rem;
  padding: 0;
  
}

.contact-links {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 4rem;
  flex-wrap: wrap;
}

.contact-details {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  color: #ac9a9a;
  padding: 1rem;
}


.contact-details:hover .contact-icon {
  filter: invert(83%) sepia(39%) saturate(6798%) hue-rotate(308deg) brightness(92%) contrast(107%);
}

.contact-details:hover {
  color: #F2797B;
}

/* Footer */

footer {
  text-align: center;
  padding: 2rem 0;
  background-color: #ac9a9a;
  color: #fff;
}

.heart::before {
  content: '\2665';
  color: #F2797B;
  font-size: 1.6rem;
}

footer .code {
  color: #F2797B;
}

/* Text Selection Color */


::-moz-selection { /* Code for Firefox */
  color: #fff;
  background: #02A1A3;
}

::selection {
  color: #fff;
  background: #02A1A3;
}

/* Name Typewriter Animation */

.typewriter {
  display: block;
  width: max-content;
  text-align: center;
  align-items: center;
  margin: auto;
  padding: 20px 0;
}

.typewriter h1 {
  display: inline-block;
  overflow: hidden;
  letter-spacing: 2px;
  white-space: nowrap;
  font-size: 2.5em;
  border-right: 0.8em solid;
  box-sizing: border-box;
  animation: typing 2s steps(16, end), blink 1s step-end infinite;
}

.typewriter h1 a {
  text-decoration: none;
}

@keyframes typing {
  from {
      width: 0%;
  }
  to {
      width: 100%;
  }
}

@keyframes blink {
  from, to {
      border-color: rgba(0, 0, 0, 0.596);
  }
  50% {
      border-color: transparent;
  }
}

.sosial-links a{
  text-align:center;
	float: left;
	width: 75px;
	height: 75px;
	border: 2px solid #909090;
	border-radius: 100%;
	margin-right: 15px; /*space between*/
    display: flex;
    align-items: flex-start;
    transition: all 0.4s;
    -webkit-transition: all 0.4s;
} 
.sosial-links a i{
	font-size: 20px;
    align-self:center;
	color: #909090;
    transition: all 0.4s;
    -webkit-transition: all 0.4s;
    margin: 0 auto;
}
.sosial-links a i::before{
  display:inline-block;
  text-decoration:none;
}
.sosial-links a:hover{
  background: rgba(0,0,0,0.2);
}
.sosial-links a:hover i{
  color:#3498db;
}

ul >li {
  display: list-item;
  list-style-type: disc;
  list-style-position: inside;
}


 .timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
  padding: 10rem 5rem 0rem 5rem;
  color: #fff;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: #909090;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

/* Container around content */
.container {
  padding: 10px 50px;
  position: relative;
  background-color: #fff;
  width: 50%;
}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -17px;
  background-color: #909090;
  border: 4px solid #ac9a9a;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 50%;
}

/* Add arrows to the left container (pointing right) */
.left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid #909090;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent #909090;
}

/* Add arrows to the right container (pointing left) */
.right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid #909090;
  border-width: 10px 10px 10px 0;
  border-color: transparent #909090 transparent transparent;
}

/* Fix the circle for containers on the right side */
.right::after {
  left: -16px;
}

/* The actual content */
.content {
  padding: 20px 30px;
  background-color: #ac9a9a;
  position: relative;
  border-radius: 6px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
/* Place the timelime to the left */
  .timeline::after {
    left: 31px;
  }

/* Full-width containers */
  .container {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
  }

/* Make sure that all arrows are pointing leftwards */
  .container::before {
    left: 60px;
    border: medium solid #909090;
    border-width: 10px 10px 10px 0;
    border-color: transparent #909090 transparent transparent;
  }

/* Make sure all circles are at the same spot */
  .left::after, .right::after {
    left: 15px;
  }

/* Make all right containers behave like the left ones */
  .right {
    left: 0%;
  }
}
